package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsKepTujuan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "AsKepTujuan_M")
public class AsKepTujuanVO extends BaseMasterVO {
	@Caption(value="Kode Tujuan")
	private Integer kdTujuan;

	@Column(name = "KdTujuan", nullable = false )
	public Integer getKdTujuan() {
		return kdTujuan;
	}

	public void setKdTujuan(Integer kdTujuan) {
		this.kdTujuan = kdTujuan;
	}

	@Caption(value="QTujuan")
	private Integer qTujuan;

	@Column(name = "QTujuan", nullable = false )
	public Integer getqTujuan() {
		return qTujuan;
	}

	public void setqTujuan(Integer qTujuan) {
		this.qTujuan = qTujuan;
	}

	@Caption(value="Tujuan")
	private String tujuan;

	public void setujuan(String tujuan) {
		this.tujuan = tujuan;
	}

	@Column(name = "Tujuan", nullable = false , length = 150)
	public String getTujuan(){
		return this.tujuan;
	}


}

